Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit
Class SVGPlotter

    java.lang.Object
      jcckit.SVGPlotter

public class SVGPlotter
extends java.lang.Object

Creates an SVG document from a plot by using the `SVGRenderer`.

Author:
  Franz-Josef Elmer

Constructor Summary
`SVGPlotter()`

Method Summary
`static void` | `main(java.lang.String[] args)` Creates an SVG document based on a `.properties` file.
`static java.lang.String` | `makeSVG(PlotCanvas canvas, java.lang.String renderer)` Creates an SVG document from the specified plot canvas.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGPlotter

    public SVGPlotter()

Method Detail

### makeSVG

    public static java.lang.String makeSVG(PlotCanvas canvas,
                                           java.lang.String renderer)

  Creates an SVG document from the specified plot canvas. The root element is an `<svg>` element with the attributes `viewBox` determined by `PlotCanvas.getPaper()` and `preserveAspectRatio` determined by `PlotCanvas.getHorizontalAnchor()` and `PlotCanvas.getVerticalAnchor()`.

  Parameters:
    `canvas` - Canvas from which the SVG document is created.
    `renderer` - Fully qualified class name of the renderer.
  Throws:
    `java.lang.ClassCastException` - if `renderer` is not of type `SVGRenderer`.

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Creates an SVG document based on a `.properties` file.

  Usage: `java jcckit.SVGPlotter [-o <output file>] <properties file>`

  If the `-o` option isn't present the SVG output will be printed onto the console.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD